<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
	<SatelliteResourceLanguages>zh-Hans</SatelliteResourceLanguages>
  </PropertyGroup>

  <ItemGroup>
    <ProjectReference Include="..\Sln.Iot.Business\Sln.Iot.Business.csproj" />
    <ProjectReference Include="..\Sln.Iot.CFX\Sln.Iot.CFX.csproj" />
    <ProjectReference Include="..\Sln.Iot.Common\Sln.Iot.Common.csproj" />
    <ProjectReference Include="..\Sln.Iot.Config\Sln.Iot.Config.csproj" />
    <ProjectReference Include="..\Sln.Iot.PLC\Sln.Iot.PLC.csproj" />
    <ProjectReference Include="..\Sln.Iot.Repository\Sln.Iot.Repository.csproj" />
    <ProjectReference Include="..\Sln.Iot.Serilog\Sln.Iot.Serilog.csproj" />
    <ProjectReference Include="..\Sln.Iot.Socket\Sln.Iot.Socket.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Extensions.Hosting" Version="9.0.10" />
    <PackageReference Include="Scrutor" Version="6.0.1" />
  </ItemGroup>

  <ItemGroup>
    <None Update="appsettings.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
